Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio.editors
Class TraversalEditor

    java.lang.Object
      |
      +--org.eclipse.ui.part.WorkbenchPart
            |
            +--org.eclipse.ui.part.EditorPart
                  |
                  +--org.eclipse.ui.texteditor.AbstractTextEditor
                        |
                        +--org.eclipse.ui.texteditor.StatusTextEditor
                              |
                              +--org.eclipse.jdt.internal.ui.javaeditor.JavaEditor
                                    |
                                    +--org.eclipse.jdt.internal.ui.javaeditor.CompilationUnitEditor
                                          |
                                          +--org.eclipse.ajdt.internal.ui.editor.AspectJEditor
                                                |
                                                +--APStudio.editors.TraversalEditor

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.ui.IEditorPart, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.ui.INavigationLocationProvider, org.eclipse.jdt.internal.ui.text.java.IReconcilingParticipant, org.eclipse.ui.IReusableEditor, org.eclipse.ui.ISaveablePart, org.eclipse.ui.texteditor.ITextEditor, org.eclipse.ui.texteditor.ITextEditorExtension, org.eclipse.ui.texteditor.ITextEditorExtension2, org.eclipse.jdt.internal.ui.viewsupport.IViewPartInputProvider, org.eclipse.ui.IWorkbenchPart

public class TraversalEditor
extends org.eclipse.ajdt.internal.ui.editor.AspectJEditor

Field Summary

Fields inherited from class org.eclipse.jdt.internal.ui.javaeditor.CompilationUnitEditor
`CORRECTIONASSIST_PROPOSALS`

Fields inherited from class org.eclipse.ui.texteditor.AbstractTextEditor
`DEFAULT_EDITOR_CONTEXT_MENU_ID, DEFAULT_RULER_CONTEXT_MENU_ID, PREFERENCE_COLOR_BACKGROUND, PREFERENCE_COLOR_BACKGROUND_SYSTEM_DEFAULT, PREFERENCE_COLOR_FIND_SCOPE, PREFERENCE_COLOR_FOREGROUND, PREFERENCE_COLOR_FOREGROUND_SYSTEM_DEFAULT, PREFERENCE_FONT, PREFERENCE_NAVIGATION_SMART_HOME_END`

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`TraversalEditor()`

Methods inherited from class org.eclipse.ajdt.internal.ui.editor.AspectJEditor
`addNewMarkers, dispose, doSave, doSetInput, forceUpdateOfAdviceMarkers, getAdapter, gotoMarker, setFocus, updateAdviceMarkers, updateAdviceMarkers`

Methods inherited from class org.eclipse.jdt.internal.ui.javaeditor.CompilationUnitEditor
`createPartControl, doSaveAs, editorContextMenuAboutToShow, isSaveAsAllowed, reconciled, synchronizeOutlinePageSelection`

Methods inherited from class org.eclipse.jdt.internal.ui.javaeditor.JavaEditor
`editingScriptEnded, editingScriptStarted, getBidiLineSegments, getViewPartInput, gotoError, gotoMatchingBracket, isEditingScriptRunning, outlinePageClosed, setSelection, updatedTitleImage`

Methods inherited from class org.eclipse.ui.texteditor.StatusTextEditor
`doRevertToSaved, updatePartControl`

Methods inherited from class org.eclipse.ui.texteditor.AbstractTextEditor
`addRulerContextMenuListener, close, createEmptyNavigationLocation, createNavigationLocation, getAction, getDocumentProvider, getHighlightRange, getSelectionProvider, init, isDirty, isEditable, isEditorInputModifiable, isEditorInputReadOnly, isSaveOnCloseNeeded, markAsContentDependentAction, markAsPropertyDependentAction, markAsSelectionDependentAction, markAsStateDependentAction, removeActionActivationCode, removeRulerContextMenuListener, resetHighlightRange, selectAndReveal, setAction, setActionActivationCode, setHighlightRange, setInput, setStatusField, showHighlightRangeOnly, showsHighlightRangeOnly, validateEditorInputState`

Methods inherited from class org.eclipse.ui.part.EditorPart
`getEditorInput, getEditorSite, getTitleToolTip`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, removePropertyListener, setInitializationData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput, getEditorSite`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Constructor Detail

### TraversalEditor

    public TraversalEditor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD